Bug 844740 - Review Request: qmmp-plugin-pack - A set of extra plugins for Qmmp
Review Request: qmmp-plugin-pack - A set of extra plugins for Qmmp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
http://qmmp.ylsoftware.com/plugins_en...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 11:16 EDT by Karel Volný
Modified: 2015-08-27 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 18:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
updated qmmp-plugin-pack.spec (1.42 KB, text/x-rpm-spec)
2012-08-24 06:35 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2012-07-31 11:16:05 EDT
Spec URL: http://kvolny.fedorapeople.org/qmmp-plugin-pack.spec
SRPM URL: http://kvolny.fedorapeople.org/qmmp-plugin-pack-0.6.1-1.fc17.src.rpm
Description: 
Plugin pack is a set of extra plugins for Qmmp.

 * FFap - enhanced Monkey's Audio (APE) decoder
   (24-bit samples and embedded cue support)
 * Simple Ui - simple user interface based on standard widgets set

Fedora Account System Username: kvolny
Comment 1 Karel Volný 2012-07-31 11:20:51 EDT
[kvolny@kvolny SPECS]$ rpmlint -i qmmp-plugin-pack.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[kvolny@kvolny SRPMS]$ rpmlint -i qmmp-plugin-pack-0.6.1-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[kvolny@kvolny x86_64]$ rpmlint -i qmmp-plugin-pack-0.6.1-1.fc17.x86_64.rpm qmmp-plugin-pack-debuginfo-0.6.1-1.fc17.x86_64.rpm 
qmmp-plugin-pack.x86_64: W: executable-stack /usr/lib64/qmmp/Input/libffap.so
The binary declares the stack as executable.  Executable stack is usually an
error as it is only needed if the code contains GCC trampolines or similar
constructs which uses code on the stack.  One common source for needlessly
executable stack cases are object files built from assembler files which don't
define a proper .note.GNU-stack section.

qmmp-plugin-pack.x86_64: E: incorrect-fsf-address /usr/share/doc/qmmp-plugin-pack-0.6.1/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

2 packages and 0 specfiles checked; 1 errors, 1 warnings.



these are upstream issues - I've sent an email to Ilja about these (the upstream bugtracker requires Google account, thanks, no)
Comment 2 Karel Volný 2012-07-31 11:29:10 EDT
p.s. note that the mpg123 plugin is excluded from build and I'm going to submit it as a separate package somewhere else
Comment 3 Karel Volný 2012-08-03 03:44:00 EDT
the execstack issue got fixed:
http://code.google.com/p/qmmp/source/diff?spec=svn2864&old=2506&r=2863&format=unidiff&path=%2Ftrunk%2Fqmmp-plugin-pack%2Fsrc%2FInput%2Fffap%2Fx86inc.asm

I'd prefer not to backport the patch, as I suppose I'll pick up a new release before this will get into some Fedora stable branch
Comment 4 Karel Volný 2012-08-17 08:30:27 EDT
and the new version is here ...

Spec URL: http://kvolny.fedorapeople.org/qmmp-plugin-pack.spec
SRPM URL: http://kvolny.fedorapeople.org/qmmp-plugin-pack-0.6.2-1.fc17.src.rpm

[kvolny@kvolny SPECS]$ rpmlint qmmp-plugin-pack.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[kvolny@kvolny SRPMS]$ rpmlint qmmp-plugin-pack-0.6.2-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[kvolny@kvolny x86_64]$ rpmlint qmmp-plugin-pack-0.6.2-1.fc17.x86_64.rpm  qmmp-plugin-pack-debuginfo-0.6.2-1.fc17.x86_64.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 5 Mario Blättermann 2012-08-23 16:51:27 EDT
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4418351

$ rpmlint -i -v *
qmmp-plugin-pack.src: I: checking
qmmp-plugin-pack.src: I: checking-url http://qmmp.ylsoftware.com/plugins_en.php (timeout 10 seconds)
qmmp-plugin-pack.src: I: checking-url http://qmmp.ylsoftware.com/files/plugins/qmmp-plugin-pack-0.6.2.tar.bz2 (timeout 10 seconds)
qmmp-plugin-pack.i686: I: checking
qmmp-plugin-pack.i686: I: checking-url http://qmmp.ylsoftware.com/plugins_en.php (timeout 10 seconds)
qmmp-plugin-pack.x86_64: I: checking
qmmp-plugin-pack.x86_64: I: checking-url http://qmmp.ylsoftware.com/plugins_en.php (timeout 10 seconds)
qmmp-plugin-pack-debuginfo.i686: I: checking
qmmp-plugin-pack-debuginfo.i686: I: checking-url http://qmmp.ylsoftware.com/plugins_en.php (timeout 10 seconds)
qmmp-plugin-pack-debuginfo.x86_64: I: checking
qmmp-plugin-pack-debuginfo.x86_64: I: checking-url http://qmmp.ylsoftware.com/plugins_en.php (timeout 10 seconds)
qmmp-plugin-pack.spec: I: checking-url http://qmmp.ylsoftware.com/files/plugins/qmmp-plugin-pack-0.6.2.tar.bz2 (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues so far.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    8f241b94a3671a27d1d1f5d4695469760a52dcaafdc5e97f069b932ccb2ed41c  qmmp-plugin-pack-0.6.2.tar.bz2
    8f241b94a3671a27d1d1f5d4695469760a52dcaafdc5e97f069b932ccb2ed41c  qmmp-plugin-pack-0.6.2.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
    We have *.so files, but not in default paths.

[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[x] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
    Your package doesn't own the folders %{_libdir}/qmmp/Input/ and
    %{_libdir}/qmmp/Ui/. Just remove the trailing *.so from each line
    to fix this.

[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.



You just have to fix the folder ownerships. Moreover, if you not intend to update your el5 package of qmmp to v0.6.2 or newer, please remove BuildRoot, the initial cleaning of %{buildroot} in %install, the %clean section and the %defattr line from %files. Do this anyway when importing your spec to the Git repo for non-el5 branches.
Comment 6 Karel Volný 2012-08-24 06:33:13 EDT
(In reply to comment #5)
> [x] MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory.
>     Your package doesn't own the folders %{_libdir}/qmmp/Input/ and
>     %{_libdir}/qmmp/Ui/. Just remove the trailing *.so from each line
>     to fix this.
> 
> You just have to fix the folder ownerships.

there is indirect dependency:

$ rpm -q --requires -p qmmp-plugin-pack-0.6.2-1.fc19.x86_64.rpm 
libQtCore.so.4()(64bit)  
libQtGui.so.4()(64bit)  
libQtNetwork.so.4()(64bit)  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.14)(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libgcc_s.so.1()(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libm.so.6()(64bit)  
libqmmp.so.0()(64bit)  
libqmmpui.so.0()(64bit)  
libstdc++.so.6()(64bit)  
libstdc++.so.6(CXXABI_1.3)(64bit)  
libstdc++.so.6(GLIBCXX_3.4)(64bit)  
libtag.so.1()(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1


libqmmp and libqmmpui are provided by qmmp, which owns these directories

... hope this is sufficient?


> Moreover, if you not intend to update your el5 package of qmmp to v0.6.2 or
> newer, please remove BuildRoot, the initial cleaning of %{buildroot} in
> %install, the %clean section and the %defattr line from %files. Do this anyway
> when importing your spec to the Git repo for non-el5 branches.

ok; I've just used the template and I've missed that half of it is obsolete ...

no, I don't plan to push this into EL5

thanks for the review
Comment 7 Karel Volný 2012-08-24 06:35:09 EDT
Created attachment 606826 [details]
updated qmmp-plugin-pack.spec

diff from the previous version:

3c3
< Release:        1%{?dist}
---
> Release:        2%{?dist}
10d9
< BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
37d35
< rm -rf %{buildroot}
41,44d38
< %clean
< rm -rf %{buildroot}
< 
< 
46d39
< %defattr(-,root,root,-)
52a46,51
> * Fri Aug 24 2012 Karel Volný <kvolny@redhat.com> 0.6.2-2
> - update spec to newer style as suggested in package review
> - removed %%buildroot actions
> - removed %%clean section which got empty
> - removed %%defattr
>
Comment 8 Mario Blättermann 2012-08-25 15:05:06 EDT
(In reply to comment #6)
> libqmmp and libqmmpui are provided by qmmp, which owns these directories
> 
> ... hope this is sufficient?

Yes, of course. I looked into the current v0.5.5 in f17, and this version didn't provide these folders.

Your package is OK now.


----------------

PACKAGE APPROVED

----------------
Comment 9 Karel Volný 2012-08-27 13:10:58 EDT
New Package SCM Request
=======================
Package Name: qmmp-plugin-pack
Short Description: A set of extra plugins for Qmmp
Owners: kvolny
Branches: f17 f18 el6
InitialCC:
Comment 10 Gwyn Ciesla 2012-08-27 13:16:51 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-08-27 14:56:58 EDT
qmmp-plugin-pack-0.6.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qmmp-plugin-pack-0.6.2-2.fc18
Comment 12 Karel Volný 2012-08-27 18:42:48 EDT
thanks, submitted

btw, what about reviewing the rpmfusion part of this package?
Comment 13 Mario Blättermann 2012-08-28 13:59:08 EDT
(In reply to comment #12)
> btw, what about reviewing the rpmfusion part of this package?

Never did a review at rpmfusion at all... I'll have a look at it. I think first I should become a rpmfusion packager, could need some time. Be patient.
Comment 14 Karel Volný 2012-08-29 06:21:33 EDT
(In reply to comment #13)
> (In reply to comment #12)
> > btw, what about reviewing the rpmfusion part of this package?
> 
> Never did a review at rpmfusion at all... I'll have a look at it.

great, thanks

> I think first I should become a rpmfusion packager, could need some time.
> Be patient.

NP for me as I'm using my own development version of the package :-) but it'd be nice to have this prepared for the release of F18
Comment 15 Fedora Update System 2012-09-17 19:46:42 EDT
qmmp-plugin-pack-0.6.2-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Karel Volný 2015-08-26 10:52:10 EDT
Package Change Request
======================
Package Name: qmmp
New Branches: epel7
Owners: kvolny
InitialCC: nucleo

see bug #1242361
Comment 17 Gwyn Ciesla 2015-08-26 11:36:29 EDT
Branch exists.
Comment 18 Karel Volný 2015-08-27 12:10:11 EDT
(In reply to Jon Ciesla from comment #17)
> Branch exists.

well ... seems there's something wrong, I cannot access it:

[kvolny@kvolny Fedora]$ fedpkg clone qmmp-plugin-pack
Cloning into 'qmmp-plugin-pack'...
X11 forwarding request failed on channel 0
remote: Counting objects: 99, done.
remote: Compressing objects: 100% (97/97), done.
remote: Total 99 (delta 33), reused 0 (delta 0)
Receiving objects: 100% (99/99), 10.62 KiB | 0 bytes/s, done.
Resolving deltas: 100% (33/33), done.
Checking connectivity... done.
[kvolny@kvolny Fedora]$ cd qmmp-plugin-pack
[kvolny@kvolny qmmp-plugin-pack]$ fedpkg switch-branch 
Locals:
* master
Remotes:
  origin/el6
  origin/f17
  origin/f18
  origin/f19
  origin/f20
  origin/f21
  origin/f22
  origin/f23
  origin/master


please could you take a look again?
Comment 19 Gwyn Ciesla 2015-08-27 13:24:31 EDT
Interesting, I don't see it.  I'll try again.
Comment 20 Gwyn Ciesla 2015-08-27 13:25:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.